Page MenuHomePhabricator

Identify features Trello users would miss in Phabricator
Closed, ResolvedPublic

Description

Which features would Trello users really miss? If you are not sure whether feature X is supported, under development, roadmapped... just ask. Let's create new subtasks for features considered blockers.

Details

Reference
fl45

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:21 AM
flimport set Reference to fl45.

milimetric wrote on 2014-04-09 00:01:51 (UTC)

  • Real-time collaborative updating (it's an amazing way to task an issue without copying the breakdown work back and forth between tools)

kevinator wrote on 2014-04-11 00:02:31 (UTC)

found this on quora:
http://www.quora.com/Phabricator/If-you-had-to-choose-between-Phabricator-or-Pivotal-Tracker-what-would-you-choose-and-why

Here's what I love about trello:

Where cards appear on the screen has meaning (column denotes stage, top is importance).
It's easy to move things around.

swalling wrote on 2014-04-11 00:12:19 (UTC)

@kevinator have you seen the board view of Phabricator task lists? We have customizable boards like that now, such as VisualEditor test board. You can find it via "Workboards" on any project.

swalling wrote on 2014-04-11 00:42:53 (UTC)

Here's a list off the top of my head:

  • Great mobile support. Trello gives me push notifications for a board/card I am following. The mobile website + email for Phabricator is a workable but not perfect replacement.
  • The ability to develop a product roadmap (as opposed to just a task list/project management tool) using a board. Ultimately this is a "nice to have" feature and we can easily switch to using another tool like MediaWiki.
  • Easy customization. The labels/task columns/themes/ etc. are so easy to change at a whim. It really support ongoing refinement of a team's project management toolkit, in an agile fashion.
  • Team independence and control over task management styles. Each team also has a high degree of independence, since settings can be different across boards. Once we all move to Phabricator there is more interdependence between project management styles across teams.
  • Markdown Phrabricator has some weird mix of Markdown and MediaWiki-like syntax which we will all have to learn. Trello just formats with Markdown.
  • A pretty interface Trello has a nice clean friendly UI. Enhancements like turning image attachments in to covers for tasks, setting stickers, emoji, and more are all features that make a task management system more fun and easy. We really need to continue to support memes and other fun interface elements of Phabricator to achieve parity here. Turning on serious business mode is not fun!

To expand, here's a list of things I won't miss about Trello:

  • No dependencies. You can only manually list dependencies in Trello.
  • Not easy for community members to use. You have to login to a third party site to use it, and it clearly is not a Wikimedia-run tool, which scares community/volunteer participants away.
  • Paying for Business Class license. This costs a (small) fee for the WMF.

connorshea wrote on 2014-04-22 01:43:08 (UTC)

As far as I can tell, there's no checklist functionality in Phabricator. There are numbered lists, but that isn't particularly convenient in comparison to the checklist functionality of Trello.

kevinator wrote on 2014-04-22 15:31:49 (UTC)

I logged a bug (er task) because I believe task titles should not get truncated in the Workboard View. Trello wraps titles and makes its cards taller to accommodate for long titles.
http://fab.wmflabs.org/T195

qgil wrote on 2014-04-24 21:06:49 (UTC)

Important question for Trello users:

If you could get one thing implemented in Phabricator tomorrow, only one thing, which one would that be?

As commented in T44: Migrate Bugzilla attachments to Phabricator, there is currently a mess of Mingle/Trello features being requested without a clear ranking of priorities. Let's focus on Trello first. And let's focus on what matters most.

Feel free creating cards for any of the tasks below, or just comment here with more details, and I will do it.

Real-time collaborative updating (it's an amazing way to task an issue without copying the breakdown work back and forth between tools)

What does this mean in terms of features missing in Phabricator?

Great mobile support. Trello gives me push notifications for a board/card I am following.

Is this provided by the mobile app or the web? In Phabricator you can check your notifications in mobile, but you have to click the "flame" button (or your mailbox) to find out. Which minimum improvement would you welcome in this direction?

The ability to develop a product roadmap (as opposed to just a task list/project management tool) using a board.

Could you link to an example, please?

Easy customization. The labels/task columns/themes/ etc. are so easy to change at a whim.

What specifically do you miss most in Phabricator? When you say the "theme", do you mean the design of the cards or the UI in general?

Team independence and control over task management styles.

How specifically do you see your workflow is conditioned by general policies or settings in Phabricator? Interesting and possibly related link upstream: Implement project types.

Markdown

Well, ok, although the toolbar makes the syntax irrelevant in basic usage. Is there any difference that really annoys you? See T165: Provide a way to upload a file in Phabricator if drag'n'drop is not available or not wanted.

A pretty interface

Understood, but the starting point is very decent, especially considering that the same team members that enjoy the beauty of Trello have to spend several hours in Bugzilla and Gerrit. Therefore, the total percentage of UI beauty vs ugliness would ultimately increase. ;) Please create tasks for the specific features you think we should push upstream.

mattflaschen wrote on 2014-04-24 21:18:33 (UTC)

Is this provided by the mobile app or the web? In Phabricator you can check your notifications in mobile, but you have to click the "flame" button (or your mailbox) to find out. Which minimum improvement would you welcome in this direction?

"Push notifications" means there is no need to check. I don't use Trello notifications (though I know other people do). However, the general idea of push notifications is that the notification is sent directly to your phone, and it typically buzzes or beeps, similar to if you received a text (of course, this depends on your phone configuration). Then, you check a notification list on your phone. So there is no need to keep opening the app or mobile web site until you get notified.

The ability to develop a product roadmap (as opposed to just a task list/project management tool) using a board.

This might be doable by just having a separate workboard for the roadmap.

Easy customization. The labels/task columns/themes/ etc. are so easy to change at a whim.

Phabricator does let you change the task columns freely (and per-workboard), albeit a different UI from Trello.

qgil wrote on 2014-04-28 06:15:27 (UTC)

After reading all the current a previous feedback related to the RfQ, including Tomasz's recent blog post, I cannot find any blocker due to Trello features missing in Phabricator. Trello does perform better in its territory, but I couldn't find anything that would outweigh the benefits of moving to one single open source tool hosted in Wikimedia servers and integrated with bug reporting and software development. The missing features reported could be contributed locally and/or upstream, if we would really need them.

Do you agree with this? If you see any Trello related blocker, please highlight it.

qgil wrote on 2014-04-30 23:49:39 (UTC)

The current list of subtasks seems to be accurate. No blockers have been identified. Some missing features would make our life easier and nicer, but the integration with bug reporting and code review would pay off.

If there are relevant Trello features not listed here, please add them as subtasks.

Resolving this task. Your attention is welcome especially in the subtasks above, T238: New task comment dropdown is confusing, and T61: Descriptive labels instead of Phabricator app names.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:21 AM
Spage added a subscriber: Spage.EditedDec 5 2014, 12:36 AM
In T21#305, @connorshea wrote on 2014-04-22 01:43:08 (UTC)

As far as I can tell, there's no checklist functionality in Phabricator. There are numbered lists, but that isn't particularly convenient in comparison to the checklist functionality of Trello.

If you make the items subtasks, then Phabricator tracks them in Blocked by.

If you want an internal checklist, Phabricator's "Remarkup" turns [] and [x] at the start of a line into a checklist:

  • buy eggs
  • scramble eggs

The task's "card" in the Phabricator workboard doesn't show an indicator there's a checklist or a "2/6" completion count next to it, and the single task view doesn't show a "33%" progress bar under the checklist. The latter I think is simply client-side JavaScript. I don't find any of these indicators particularly useful, but T1141 covers them.

@Spage

I think porting trello checklists into this type of checklist is acceptable for a migration, but it is definitely something that people will miss ( actual interactive checklists)